
#include <stdio.h>
#define C_to_F_ratio 9/5
#define F_to_C_ratio 5/9
#define freezing 32

/* the next two lines are
 * function prototypes. */
float FtoC(float degF);
float CtoF(float degC);

int main(void)
{

	/* Fahrenheit to Celsius, and Celsius to Fahrenheit conversions
	 * using functions. */
	float degreesC, degreesF;
	printf("\nEnter a temperature to convert to Celsius: ");
	scanf("%f",&degreesF);
	degreesC=FtoC(degreesF);
	/* Note that the function does not change the
	 * value of degreesF.*/
	printf("\n%.1f degrees Fahrenheit is %.1f degrees Celsius.\n", 
				degreesF,degreesC);
	printf("\nEnter a temperature to convert to Fahrenheit: ");
	scanf("%f",&degreesC);
	degreesF=CtoF(degreesC);
	/* Note that the function does not change the
	 * value of degreesC.*/
	printf("\n%.1f degrees Celsius is %.1f degrees Fahrenheit.\n",
			       	degreesC,degreesF);
	
	return 0;
}

/*Two function definitions follow. */
float FtoC(float degF)
{
	float degC;
	degC=(degF-freezing)*F_to_C_ratio;
	return degC;
}

float CtoF(float degC)
{
	return degC*C_to_F_ratio+freezing;
}
